---
title: llarp::DnsConfig

---

# llarp::DnsConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1DnsConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[m_raw_dns](Classes/structllarp_1_1DnsConfig.md#variable-m-raw-dns)**  |
| std::vector< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[m_bind](Classes/structllarp_1_1DnsConfig.md#variable-m-bind)**  |
| std::vector< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[m_upstreamDNS](Classes/structllarp_1_1DnsConfig.md#variable-m-upstreamdns)**  |
| std::vector< fs::path > | **[m_hostfiles](Classes/structllarp_1_1DnsConfig.md#variable-m-hostfiles)**  |
| std::optional< [SockAddr](Classes/structllarp_1_1SockAddr.md) > | **[m_QueryBind](Classes/structllarp_1_1DnsConfig.md#variable-m-querybind)**  |
| std::unordered_multimap< std::string, std::string > | **[m_ExtraOpts](Classes/structllarp_1_1DnsConfig.md#variable-m-extraopts)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_raw_dns

```cpp
bool m_raw_dns;
```


### variable m_bind

```cpp
std::vector< SockAddr > m_bind;
```


### variable m_upstreamDNS

```cpp
std::vector< SockAddr > m_upstreamDNS;
```


### variable m_hostfiles

```cpp
std::vector< fs::path > m_hostfiles;
```


### variable m_QueryBind

```cpp
std::optional< SockAddr > m_QueryBind;
```


### variable m_ExtraOpts

```cpp
std::unordered_multimap< std::string, std::string > m_ExtraOpts;
```


-------------------------------

Updated on 2023-01-20 at 23:19:38 +0000